Package twisted :: Package protocols :: Package gps :: Module nmea

[frames | no frames]

## Module twisted.protocols.gps.nmea

NMEA 0183 implementation

Maintainer: Bob Ippolito

The following NMEA 0183 sentences are currently understood:

       GPGGA (fix)
       GPGLL (position)
       GPRMC (position and time)
       GPGSA (active satellites)

The following NMEA 0183 sentences require implementation:

       None really, the others aren't generally useful or implemented in most devices anyhow

Other desired features:

       - A NMEA 0183 producer to emulate GPS devices (?)

Classes
`NMEAReceiver` | This parses most common NMEA-0183 messages, presumably from a serial GPS device at 4800 bps

Exceptions
`InvalidChecksum` |
`InvalidSentence` |

Variable Summary
`int` | `MODE_2D` = 2
`int` | `MODE_3D` = 3
`str` | `MODE_AUTO` = `'A'`
`str` | `MODE_FORCED` = `'M'`
`int` | `MODE_NOFIX` = 1
`int` | `POSFIX_DGPS` = 2
`int` | `POSFIX_INVALID` = 0
`int` | `POSFIX_PPS` = 3
`int` | `POSFIX_SPS` = 1

Variable Details

### MODE_2D

  Type:
    `int`
  Value:

        2

### MODE_3D

  Type:
    `int`
  Value:

        3

### MODE_AUTO

  Type:
    `str`
  Value:

        'A'

### MODE_FORCED

  Type:
    `str`
  Value:

        'M'

### MODE_NOFIX

  Type:
    `int`
  Value:

        1

### POSFIX_DGPS

  Type:
    `int`
  Value:

        2

### POSFIX_INVALID

  Type:
    `int`
  Value:

        0

### POSFIX_PPS

  Type:
    `int`
  Value:

        3

### POSFIX_SPS

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net